Subject: Re: Git newbie question: permissions

From: Samuel Lucas Vaz de Mello <[email-masked]>
Date: Fri, 10 Oct 2008 11:44:52 -0300

Samuel Tardieu wrote:
> This should fix your current situation. The "sharedrepository = 1"
> will tell git to maintain a proper shared state in the future
> on objects it creates (i.e. mirror "user" permission to "group" ones).
>   
Is git-gc supposed to respect sharedrepository=1 and create 
group-writable files?
For me, it's recreating the files under logs/refs/heads with 644 
permissions.

BR,

 - Samuel